public enum CardShapeCategory { Ellipse, Trapezoid, Rectangle }
public enum CardColorCategory { Red, Green, Blue }
public enum CardNumberCategory { One, Two, Three }
public enum CardFillCategory { None, Slash, Full }

public class Card
{
    CardShapeCategory shapeCategory;
    CardColorCategory colorCategory;
    CardNumberCategory numberCategory;
    CardFillCategory fillCategory;

    public Card(CardShapeCategory shape, CardColorCategory color, CardNumberCategory number, CardFillCategory fill)
    {
        this.shapeCategory = shape;
        this.colorCategory = color;
        this.numberCategory = number;
        this.fillCategory = fill;
    }

    public CardShapeCategory ShapeProperty
    {
        get
        {
            return shapeCategory;
        }
    }

    public CardColorCategory ColorProperty
    {
        get
        {
            return colorCategory;
        }
    }

    public CardNumberCategory NumberProperty
    {
        get
        {
            return numberCategory;
        }
    }

    public CardFillCategory FillProperty
    {
        get
        {
            return fillCategory;
        }
    }
}